Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_OS_Log_Msg_Attributes Class Reference

The attributes required by ACE_Log_Msg. More...

`#include <OS_Log_Msg_Attributes.h>`

List of all members.

## Public Member Functions
| ACE_OS_Log_Msg_Attributes (void)
| Constructor.
## Protected Attributes
ACE_OSTREAM_TYPE * | ostream_
| Ostream where the new TSS Log_Msg will use.
unsigned long | priority_mask_
| Priority_mask to be used in new TSS Log_Msg.
int | tracing_enabled_
| Are we allowing tracing in this thread?
int | restart_
int | trace_depth_
| Depth of the nesting for printing traces.
## Private Member Functions
| ACE_OS_Log_Msg_Attributes (const ACE_OS_Log_Msg_Attributes &)
ACE_OS_Log_Msg_Attributes & | operator= (const ACE_OS_Log_Msg_Attributes &)
## Friends
class | ACE_Log_Msg

## Detailed Description

The attributes required by ACE_Log_Msg.

When a new thread is created the TSS resources for the Log_Msg class in the new thread may be inherited by the creator thread. The base_attributes are encapsulated in this class to simplify their manipulation and destruction.

  The contents of the class must be made available to the OS layer, because they are part of the thread descriptor.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_OS_Log_Msg_Attributes::ACE_OS_Log_Msg_Attributes | ( | void |  | ) |

| Constructor.

ACE_OS_Log_Msg_Attributes::ACE_OS_Log_Msg_Attributes | ( | const ACE_OS_Log_Msg_Attributes & |  | ) | `[private]`

## Member Function Documentation

ACE_OS_Log_Msg_Attributes& ACE_OS_Log_Msg_Attributes::operator= | ( | const ACE_OS_Log_Msg_Attributes & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class ACE_Log_Msg`[friend]`

## Member Data Documentation

ACE_OSTREAM_TYPE* ACE_OS_Log_Msg_Attributes::ostream_`[protected]`

| Ostream where the new TSS Log_Msg will use.

unsigned long ACE_OS_Log_Msg_Attributes::priority_mask_`[protected]`

| Priority_mask to be used in new TSS Log_Msg.

int ACE_OS_Log_Msg_Attributes::restart_`[protected]`

| Indicates whether we should restart system calls that are interrupted.

int ACE_OS_Log_Msg_Attributes::trace_depth_`[protected]`

| Depth of the nesting for printing traces.

int ACE_OS_Log_Msg_Attributes::tracing_enabled_`[protected]`

| Are we allowing tracing in this thread?

The documentation for this class was generated from the following files:

- OS_Log_Msg_Attributes.h
- OS_Log_Msg_Attributes.inl